## ros-indigo-cob-substitute 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_substitute)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-cob-substitute (0.6.7-1trusty) trusty; urgency=high

  * Merge pull request #50 <https://github.com/ipa320/cob_substitute/issues/50> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #48 <https://github.com/ipa320/cob_substitute/issues/48> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #45 <https://github.com/ipa320/cob_substitute/issues/45> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-substitute (0.6.6-1trusty) trusty; urgency=high

  * remove obsolete packages due to unsupported robots
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-substitute (0.6.5-1trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-substitute (0.6.4-1trusty) trusty; urgency=high

  * remove rplidar_ros
  * Contributors: ipa-mig

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-indigo-cob-substitute (0.6.3-1trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-substitute (0.6.2-1trusty) trusty; urgency=high

  * migration to package format 2
  * new substitue package rplidar_ros
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-substitute (0.6.1-1trusty) trusty; urgency=high

  * Merge pull request #24 <https://github.com/ipa320/cob_substitute/issues/24> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #23 <https://github.com/ipa320/cob_substitute/issues/23> from ipa-nhg/indigo_dev
    missed run_depends
  * missed run_depends
  * Merge pull request #22 <https://github.com/ipa320/cob_substitute/issues/22> from ipa320/hydro_dev
    fiy typo
  * Update package.xml
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-substitute (0.6.0-1trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-substitute (0.5.2-1trusty) trusty; urgency=high

  * New maintainer
  * Contributors: ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-substitute (0.5.1-1trusty) trusty; urgency=high

  * Initial catkin version. Have to find away to fix the rosjava_jni dependency.
  * Contributors: abubeck

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-substitute
Section: misc
Priority: extra
Maintainer: Jannik Abbenseth <jba@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_substitute
Standards-Version: 3.9.2

Package: ros-indigo-cob-substitute
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-docker-control, ros-indigo-cob-reflector-referencing, ros-indigo-cob-safety-controller
Description: cob_substitute

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-substitute//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
